Loading...
Searching...
No Matches
SpaceGroup Class Reference

`#include <openbabel/math/spacegroup.h>`

## Public Member Functions

| SpaceGroup ()
| ~SpaceGroup ()
void | SetHMName (const char *name)
void | SetHallName (const char *name)
void | SetId (unsigned n)
void | AddTransform (const std::string &s)
const std::string & | GetHMName () const
const std::string & | GetHallName () const
unsigned | GetId () const
unsigned int | GetOriginAlternative () const
std::list< vector3 > | Transform (const vector3 &v) const
transform3d const * | BeginTransform (transform3dIterator &i) const
transform3d const * | NextTransform (transform3dIterator &i) const
void | RegisterSpaceGroup (int nb=0,...)
bool | operator== (const SpaceGroup &) const
int | operator!= (const SpaceGroup &other) const
bool | IsValid () const

## Static Public Member Functions

static const SpaceGroup * | GetSpaceGroup (char const *name)
static const SpaceGroup * | GetSpaceGroup (const std::string &name)
static const SpaceGroup * | GetSpaceGroup (unsigned id)
static const SpaceGroup * | Find (SpaceGroup *group)

## Public Attributes

const int | HEXAGONAL_ORIGIN

## Detailed Description

Handle crystallographic space group symmetry.

Since
  version 2.2

See also
  transform3d

## Constructor & Destructor Documentation

## SpaceGroup()

SpaceGroup | ( |  | ) |

Referenced by Find(), GetSpaceGroup(), GetSpaceGroup(), GetSpaceGroup(), operator!=(), and operator==().

## ~SpaceGroup()

~SpaceGroup | ( |  | ) |

## Member Function Documentation

## SetHMName()

void SetHMName | ( | const char * | name | ) |

## SetHallName()

void SetHallName | ( | const char * | name | ) |

inline

## SetId()

void SetId | ( | unsigned | n | ) |

inline

## AddTransform()

void AddTransform | ( | const std::string & | s | ) |

## GetHMName()

const std::string & GetHMName | ( |  | ) | const

inline

## GetHallName()

const std::string & GetHallName | ( |  | ) | const

inline

Referenced by Find().

## GetId()

unsigned GetId | ( |  | ) | const

inline

Referenced by Find().

## GetOriginAlternative()

unsigned int GetOriginAlternative | ( |  | ) | const

inline

## Transform()

list< vector3 > Transform | ( | const vector3 & | v | ) | const

Referenced by OBUnitCell::FillUnitCell().

## BeginTransform()

transform3d const * BeginTransform | ( | transform3dIterator & | i | ) | const

## NextTransform()

transform3d const * NextTransform | ( | transform3dIterator & | i | ) | const

## GetSpaceGroup() [1/3]

const SpaceGroup * GetSpaceGroup | ( | char const * | name | ) |

static

Referenced by GetSpaceGroup(), OBUnitCell::SetSpaceGroup(), and OBUnitCell::SetSpaceGroup().

## GetSpaceGroup() [2/3]

const SpaceGroup * GetSpaceGroup | ( | const std::string & | name | ) |

static

## GetSpaceGroup() [3/3]

const SpaceGroup * GetSpaceGroup | ( | unsigned | id | ) |

static

## Find()

const SpaceGroup * Find | ( | SpaceGroup * | group | ) |

static

## RegisterSpaceGroup()

void RegisterSpaceGroup | ( | int | nb = 0,
|  |  | ... )

## operator==()

bool operator== | ( | const SpaceGroup & | sg | ) | const

## operator!=()

int operator!= | ( | const SpaceGroup & | other | ) | const

inline

## IsValid()

bool IsValid | ( |  | ) | const

Referenced by Find().

## Member Data Documentation

## HEXAGONAL_ORIGIN

const int HEXAGONAL_ORIGIN

Referenced by SetHMName(), and SpaceGroup().

The documentation for this class was generated from the following files:

- spacegroup.h
- spacegroup.cpp